#include "qglviewer.h"

class Viewer : public QGLViewer
{
protected:
  void init();
  void draw();
  void help();

  void keyPressEvent(QKeyEvent *);
  void displayText();
  
  void displayType(const qglviewer::AxisPlaneConstraint::Type type, const int x, const int y, const char c);
  void displayDir(const unsigned short dir, const int x, const int y, const char c);

private:
  unsigned short transDir;
  unsigned short rotDir;

  void changeConstraint();
  qglviewer::AxisPlaneConstraint* constraints[2];
  unsigned short activeConstraint;
};
