#include "qglviewer.h"

class Particle
{
public :
  Particle();

  void init();
  void draw();
  void animate();

private :
  qglviewer::Vec speed_, pos_;
  int age_, ageMax_;
};



class Viewer : public QGLViewer
{
protected :
  void draw();
  void init();
  void help();
  void animate();

private:
  int nbPart_;
  Particle* particle_;
};

